import React from 'react';
type SelectItem = {
    id: string;
    selected: boolean;
};
type SelectTableProps<T extends SelectItem> = {
    items: T[];
    columns: ReadonlyArray<readonly [key: string & keyof T, label: string | JSX.Element]>;
    onChange: (newList: T[]) => void;
    disabled?: boolean;
    className?: string;
};
export declare function SelectTable<T extends SelectItem>(props: SelectTableProps<T>): React.ReactElement;
export {};
//# sourceMappingURL=select-table.d.ts.map